import { Octokit } from '@octokit/rest';
export declare function baseUrlFromDomain(domain: string): string;
type RunnerLevel = 'repo' | 'org' | undefined;
export interface GitHubSecrets {
    domain: string;
    appId: number;
    personalAuthToken: string;
    runnerLevel: RunnerLevel;
}
export declare function getOctokit(installationId?: number): Promise<{
    octokit: Octokit;
    githubSecrets: GitHubSecrets;
}>;
export declare function getRunner(octokit: Octokit, runnerLevel: RunnerLevel, owner: string, repo: string, name: string): Promise<{
    id: number;
    runner_group_id?: number | undefined;
    name: string;
    os: string;
    status: string;
    busy: boolean;
    labels: {
        id?: number | undefined;
        name: string;
        type?: "read-only" | "custom" | undefined;
    }[];
} | undefined>;
export declare function deleteRunner(octokit: Octokit, runnerLevel: RunnerLevel, owner: string, repo: string, runnerId: number): Promise<void>;
export {};
